Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class SatelliteAnimatedPickingGraphMousePlugin

    java.lang.Object
      edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
          edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin
              edu.uci.ics.jung.visualization.control.SatelliteAnimatedPickingGraphMousePlugin

All Implemented Interfaces:
  EventListener, GraphMousePlugin, MouseListener, MouseMotionListener

public class SatelliteAnimatedPickingGraphMousePlugin
extends AnimatedPickingGraphMousePlugin
implements MouseListener, MouseMotionListener

A version of the AnimatedPickingGraphMousePlugin that is for the SatelliteVisualizationViewer. The difference it that when you pick a Vertex in the Satellite View, the 'master view' is translated to move that Vertex to the center.

Author:
  Tom Nelson
See Also:
  `AnimatedPickingGraphMousePlugin`

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin
`vertex`

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`cursor, down, modifiers`

Constructor Summary
`SatelliteAnimatedPickingGraphMousePlugin()` create an instance
`SatelliteAnimatedPickingGraphMousePlugin(int selectionModifiers)`

Method Summary
`void` | `mouseReleased(MouseEvent e)` override subclass method to translate the master view instead of this satellite view

Methods inherited from class edu.uci.ics.jung.visualization.control.AnimatedPickingGraphMousePlugin
`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed`

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`checkModifiers, getCursor, getModifiers, setCursor, setModifiers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited, mousePressed`

Methods inherited from interface java.awt.event.MouseMotionListener
`mouseDragged, mouseMoved`

Constructor Detail

### SatelliteAnimatedPickingGraphMousePlugin

    public SatelliteAnimatedPickingGraphMousePlugin()

  create an instance

### SatelliteAnimatedPickingGraphMousePlugin

    public SatelliteAnimatedPickingGraphMousePlugin(int selectionModifiers)

Method Detail

### mouseReleased

    public void mouseReleased(MouseEvent e)

  override subclass method to translate the master view instead of this satellite view

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `AnimatedPickingGraphMousePlugin`
  Parameters:
    `e` - the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD